
From: Oleg Nesterov <oleg@tv-sign.ru>

__exit_mm() is an inlined version of exit_mm().  This patch unifies them.

Saves 356 byte in exit.o.

Signed-off-by: Oleg Nesterov <oleg@tv-sign.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/exit.c |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff -puN kernel/exit.c~trivial-uninline-kill-__exit_mm kernel/exit.c
--- 25/kernel/exit.c~trivial-uninline-kill-__exit_mm	2004-12-27 01:17:10.418441552 -0800
+++ 25-akpm/kernel/exit.c	2004-12-27 01:17:10.423440792 -0800
@@ -470,7 +470,7 @@ EXPORT_SYMBOL_GPL(exit_fs);
  * Turn us into a lazy TLB process if we
  * aren't already..
  */
-static inline void __exit_mm(struct task_struct * tsk)
+void exit_mm(struct task_struct * tsk)
 {
 	struct mm_struct *mm = tsk->mm;
 
@@ -506,11 +506,6 @@ static inline void __exit_mm(struct task
 	mmput(mm);
 }
 
-void exit_mm(struct task_struct *tsk)
-{
-	__exit_mm(tsk);
-}
-
 static inline void choose_new_parent(task_t *p, task_t *reaper, task_t *child_reaper)
 {
 	/*
@@ -811,7 +806,7 @@ fastcall NORET_TYPE void do_exit(long co
 	group_dead = atomic_dec_and_test(&tsk->signal->live);
 	if (group_dead)
 		acct_process(code);
-	__exit_mm(tsk);
+	exit_mm(tsk);
 
 	exit_sem(tsk);
 	__exit_files(tsk);
_
